import { HcApi } from '../../../request/index'
//  合同材料
export default {
    //分页
    async getPage(form) {
        return HcApi({
            url: '/api/blade-meter/materialStartStatement/page',
            method: 'get',
            params: form,
        })
    },
    //新增或修改
    async submit(form) {
        return HcApi({
            url: '/api/blade-meter/materialStartStatement/addOrUpdate',
            method: 'post',
            data: form,
        })
    },
    //删除
    async remove(form) {
        return HcApi({
            url: '/api/blade-meter/materialStartStatement/remove',
            method: 'post',
            params: form,
        })
    },
    //重新计算
    async meterPdfInfo(form) {
        return HcApi({
            url: '/api/blade-meter/task/meterPdfInfo',
            method: 'get',
            params: form,
        })
    },
}
